Search found 6597 matches

Go to advanced search

by DeepSOIC
Thu Aug 08, 2019 11:39 pm
Forum: Draft, Arch & BIM
Topic: Adaptive components?
Replies: 15
Views: 544

Re: Adaptive components?

Lattice2 TopoSeries is something in that direction. But it's back-to-front workflow compared to revit, and is aimed at array-like things. I think I might try recording a small video showing how it works.
by DeepSOIC
Thu Aug 08, 2019 10:31 pm
Forum: Help on using FreeCAD
Topic: Undo view changes?
Replies: 4
Views: 122

Re: Undo view changes?

Yes and no. Changes to view properties do not generate undo transactions, but they are recorded into transactions created otherwise. You can App.ActiveDocument.openTransaction("my view changes") , do the change, and App.ActiveDocument.commitTransaction() . Then, you'll be able to undo the changes. I...
by DeepSOIC
Tue Aug 06, 2019 8:22 pm
Forum: Open discussion
Topic: Part Mirror Plane
Replies: 15
Views: 393

Re: Part Mirror Plane

Lattice2 Mirror supports quite a few mirroring modes. It has a lot of features related to placements and arrays, but I can strip it down for Part workbench. It supports: * mirror against a planar face * mirror against a line (that is 180* rotation actually, not mirroring) * mirror against centerplan...
by DeepSOIC
Tue Aug 06, 2019 5:36 pm
Forum: Help on using FreeCAD
Topic: Sketch appears on back of object: CAUTION: Newby
Replies: 2
Views: 78

Re: Sketch appears on back of object: CAUTION: Newby

Rich1369 wrote:
Sun Aug 04, 2019 7:31 pm
9. Draw a circle on the front face of the padded rectangle.
10. The circle appears on the back of the padded rectangle.
Like that?
pd-no-refinement.png
pd-no-refinement.png (19.24 KiB) Viewed 45 times

That's normal. Just turn on refinement: select Pad001, and switch "Refine" property to "true". It should go away.
by DeepSOIC
Mon Aug 05, 2019 11:56 pm
Forum: Help on using FreeCAD
Topic: Ticket #4079 - Click inside property value, click Discard, reference to spreadsheet-based reference is erased
Replies: 24
Views: 417

Re: Click inside property value, click Discard, reference to spreadsheet-based reference is erased

Change "Discard" to "Clear", and add a tooltip on "Clear" to state "Clear the expression", and optionally (and only if the screen real-estate can handle it) add an additional "Cancel" button. "Delete" can be used instead of "Clear". Sounds good to me, especially the "Delete" button, as it leaves no...
by DeepSOIC
Mon Aug 05, 2019 11:25 pm
Forum: Developers corner
Topic: Version Control Support in FreeCAD
Replies: 23
Views: 971

Re: Version Control Support in FreeCAD

Wow, that's a good direction! I had plans for some hacks in part-o-magic for storing uncompressed FCStd files, but now that's getting irrelevant, as FC hopefully will soon support it internally thanks to you, nice!
by DeepSOIC
Mon Aug 05, 2019 10:33 pm
Forum: Help on using FreeCAD
Topic: "Show all objects" shows too much - visibility issue
Replies: 7
Views: 178

Re: "Show all objects" shows too much - visibility issue

Part-o-magic's visibility automation should cover it all. You activate a Part, and everything from other parts not contained in it is automatically hidden. You activate Body, you see all the inner stuff. You leave a body, and all datums and sketches and such is hidden, and only the final shape remai...
by DeepSOIC
Mon Aug 05, 2019 9:33 pm
Forum: Developers corner
Topic: Set mouse cursor position
Replies: 9
Views: 230

Re: Set mouse cursor position

Please use setting cursor position with care. Abusing it can cause insanity with absolute pointing devices like pen and touch.

Go to advanced search